Bug 88401 - sudo systemctl disable qwe.socket causes alsa volume restoration
Summary: sudo systemctl disable qwe.socket causes alsa volume restoration
Status: RESOLVED FIXED
Alias: None
Product: systemd
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: systemd-bugs
QA Contact: systemd-bugs
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-01-14 12:40 UTC by Sergej Pupykin
Modified: 2015-03-07 18:11 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sergej Pupykin 2015-01-14 12:40:04 UTC
Steps to reproduce:
- became root
- run alsamixer, change master volume
- in another terminal run "systemctl disable qwe.socket"
master volume changes back.

It looks like systemctl disable qwe.socket cause systemctl start alsa-restore.service

Changing sound volume is not what I expected when disabling .socket)

ArchLinux x86_64, kernel 3.18.2-2, systemd 218-1.
Comment 1 Sergej Pupykin 2015-01-14 12:42:41 UTC
qwe.socket does not exist, but it does not matter. Probably systemctl disable reloads target including alsa-* services.
Comment 2 Sergej Pupykin 2015-01-14 14:33:00 UTC
May be the prolem is related to alsa:

/usr/lib/systemd/system/basic.target.wants contains

alsa-restore.service -> ../alsa-restore.service
alsa-state.service -> ../alsa-state.service

How to fix this issue properly?
Comment 3 Lennart Poettering 2015-01-28 19:15:04 UTC
Could you please turn on debug mode in PID with "systemd-analyze set-log-level debug". Then please reproduce the issue and attach the logs generated from PID 1 about this. Thanks!
Comment 4 Zbigniew Jedrzejewski-Szmek 2015-03-07 14:49:23 UTC
Should be fixed with http://cgit.freedesktop.org/systemd/systemd/commit/?id=6e392c9c45.
Comment 5 Ivan Shapovalov 2015-03-07 15:39:57 UTC
(In reply to Zbigniew Jedrzejewski-Szmek from comment #4)
> Should be fixed with
> http://cgit.freedesktop.org/systemd/systemd/commit/?id=6e392c9c45.

Thanks for finally reviewing it :)

Is it going to be backported?
Comment 6 Zbigniew Jedrzejewski-Szmek 2015-03-07 16:40:33 UTC
That's really up to distributions. For Fedora, most likely.
Comment 7 Ivan Shapovalov 2015-03-07 17:16:04 UTC
(In reply to Zbigniew Jedrzejewski-Szmek from comment #6)
> That's really up to distributions. For Fedora, most likely.

I've meant the stable branches (systemd-stable).
Comment 8 Zbigniew Jedrzejewski-Szmek 2015-03-07 18:11:37 UTC
(In reply to Ivan Shapovalov from comment #7)
> (In reply to Zbigniew Jedrzejewski-Szmek from comment #6)
> > That's really up to distributions. For Fedora, most likely.
> 
> I've meant the stable branches (systemd-stable).

Yes.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.